package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class DSEResultAndScore implements Serializable {

    @SerializedName("schedule_id")
    @Expose
    private String scheduleId;
    @SerializedName("lvl_id")
    @Expose
    private String lvlId;
    @SerializedName("start_date")
    @Expose
    private String startDate;
    @SerializedName("end_date")
    @Expose
    private String endDate;
    @SerializedName("venue_type")
    @Expose
    private String venueType;
    @SerializedName("venue_am")
    @Expose
    private String venueAm;
    @SerializedName("venue_dealer")
    @Expose
    private String venueDealer;
    @SerializedName("venue_address")
    @Expose
    private String venueAddress;
    @SerializedName("title")
    @Expose
    private String title;
    @SerializedName("starttime")
    @Expose
    private String starttime;
    @SerializedName("endtime")
    @Expose
    private String endtime;
    @SerializedName("training_id")
    @Expose
    private String trainingId;
    @SerializedName("roleplay_or_demo")
    @Expose
    private String roleplayOrDemo;
    @SerializedName("assignment")
    @Expose
    private String assignment;
    @SerializedName("performance")
    @Expose
    private String performance;
    @SerializedName("certification")
    @Expose
    private String certification;
    @SerializedName("overall")
    @Expose
    private String overall;
    @SerializedName("post_test_percentage")
    @Expose
    private String postTestPercentage;
    @SerializedName("pre_test_percentage")
    @Expose
    private String preTestPercentage;
    @SerializedName("post_test")
    @Expose
    private String postTest;
    @SerializedName("pre_test")
    @Expose
    private String preTest;
    private final static long serialVersionUID = 2476594893176791148L;

    public String getScheduleId() {
        return scheduleId;
    }

    public void setScheduleId(String scheduleId) {
        this.scheduleId = scheduleId;
    }

    public String getLvlId() {
        return lvlId;
    }

    public void setLvlId(String lvlId) {
        this.lvlId = lvlId;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getVenueType() {
        return venueType;
    }

    public void setVenueType(String venueType) {
        this.venueType = venueType;
    }

    public String getVenueAm() {
        return venueAm;
    }

    public void setVenueAm(String venueAm) {
        this.venueAm = venueAm;
    }

    public String getVenueDealer() {
        return venueDealer;
    }

    public void setVenueDealer(String venueDealer) {
        this.venueDealer = venueDealer;
    }

    public String getVenueAddress() {
        return venueAddress;
    }

    public void setVenueAddress(String venueAddress) {
        this.venueAddress = venueAddress;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getStarttime() {
        return starttime;
    }

    public void setStarttime(String starttime) {
        this.starttime = starttime;
    }

    public String getEndtime() {
        return endtime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime;
    }

    public String getTrainingId() {
        return trainingId;
    }

    public void setTrainingId(String trainingId) {
        this.trainingId = trainingId;
    }

    public String getRoleplayOrDemo() {
        return roleplayOrDemo;
    }

    public void setRoleplayOrDemo(String roleplayOrDemo) {
        this.roleplayOrDemo = roleplayOrDemo;
    }

    public String getAssignment() {
        return assignment;
    }

    public void setAssignment(String assignment) {
        this.assignment = assignment;
    }

    public String getPerformance() {
        return performance;
    }

    public void setPerformance(String performance) {
        this.performance = performance;
    }

    public String getCertification() {
        return certification;
    }

    public void setCertification(String certification) {
        this.certification = certification;
    }

    public String getOverall() {
        return overall;
    }

    public void setOverall(String overall) {
        this.overall = overall;
    }

    public String getPostTestPercentage() {
        return postTestPercentage;
    }

    public void setPostTestPercentage(String postTestPercentage) {
        this.postTestPercentage = postTestPercentage;
    }

    public String getPreTestPercentage() {
        return preTestPercentage;
    }

    public void setPreTestPercentage(String preTestPercentage) {
        this.preTestPercentage = preTestPercentage;
    }

    public String getPostTest() {
        return postTest;
    }

    public void setPostTest(String postTest) {
        this.postTest = postTest;
    }

}